Subject: bug#21989: closed (Re: bug#21989: grep search by ASCII code unsuccessful)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Nov 2015 16:17:02 +0000

Your bug report

#21989: grep search by ASCII code unsuccessful

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21989: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21989
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21989: grep search by ASCII code unsuccessful
From: Paul Eggert <[email-masked]>
To: Stephane Chazelas <[email-masked]>, Shivanshu Goyal <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Nov 2015 08:16:32 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, Stephane, for diagnosing the problem. Closing the bug.

Subject: grep search by ASCII code unsuccessful
From: Shivanshu Goyal <[email-masked]>
To: [email-masked]
Date: Sun, 22 Nov 2015 21:24:05 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I think I found a bug which did not exist in version 2.14, but does seem to
exist in versions 2.16 and 2.22. I have not tested any other versions.

Say there is a file with the following contents:

shivanshu@thetis:tmp$ cat temp | xxd
0000000: 68e2 8093 680a                           h...h.

The following is the grep 2.14 command and output:

shivanshu@thetis:tmp$ cat temp | grep -P '\xe2\x80\x93'
h–h

The following is the grep 2.16/2.22 command and output:

shivanshu@thetis:tmp$ cat temp | grep -P '\xe2\x80\x93'
d1y8@thetis:tmp$

Thanks,
Shivanshu Goyal
shivanshu.ca